User account creation filtered due to spam.

Bug 40616 - libgcj version of java.io.PrintStream missing constructors
Summary: libgcj version of java.io.PrintStream missing constructors
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: libgcj (show other bugs)
Version: 4.4.0
: P3 normal
Target Milestone: 4.5.0
Assignee: Andrew John Hughes
URL:
Keywords:
Depends on:
Blocks: 39410 43579
  Show dependency treegraph
 
Reported: 2009-07-02 11:02 UTC by Andrew John Hughes
Modified: 2010-03-29 18:48 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed: 2009-07-26 00:38:26


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew John Hughes 2009-07-02 11:02:01 UTC
There are some new 1.5 PrintStream constructors that are in GNU Classpath but not in the local gcj version of the same file.  This causes the OpenJDK7 b62 build to fail:

/mnt/builder/icedtea/bootstrap/jdk1.6.0/bin/javac  -J-XX:ThreadStackSize=1536 -J-XX:-PrintVMOptions -J-XX:+UnlockDiagnosticVMOptions -J-XX:-LogVMOutput -J-Xmx896m -J-Xms128m -J-XX:PermSize=32m -J-XX:MaxPermSize=160m -encoding ascii -XDignore.symbol.file=true -d /mnt/builder/icedtea/openjdk-ecj/build/linux-amd64/btclasses \
	    -sourcepath ../../tools/src -classpath /mnt/builder/icedtea/bootstrap/jdk1.7.0/jre/lib/rt-closed.jar \
	    ../../tools/src/build/tools/charsetmapping/Main.java
----------
1. ERROR in /mnt/builder/icedtea/openjdk-ecj/jdk/make/tools/CharsetMapping/../../tools/src/build/tools/charsetmapping/GenerateEUC_TW.java (at line 40)
	new PrintStream(new File(args[1], "EUC_TWMapping.java"), "ISO-8859-1"),
	^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
The constructor PrintStream(File, String) is undefined

http://builder.classpath.org/japi/classpath-libgcj.html#err_missing_java_io
Comment 1 gandalf@gcc.gnu.org 2009-07-28 15:08:26 UTC
Subject: Bug 40616

Author: gandalf
Date: Tue Jul 28 15:08:12 2009
New Revision: 150161

URL: http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=150161
Log:
Fix for PR40616: missing java.io.PrintStream constructors.

2009-07-27  Andrew John Hughes  <ahughes@redhat.com>

	PR libgcj/40616
	* java/io/PrintStream.class: Regenerated.
	* java/io/PrintStream.h: Updated.
	* java/io/PrintStream.java:
	(PrintStream(File)): Ported from GNU Classpath
	version.
	(PrintStream(File, String)): Likewise.
	(PrintStream(String)): Likewise.
	(PrintStream(String, String)): Likewise.


Modified:
    trunk/libjava/ChangeLog
    trunk/libjava/classpath/lib/java/io/PrintStream.class
    trunk/libjava/classpath/tools/classes/gnu/classpath/tools/gjdoc/ConstructorDocImpl.class
    trunk/libjava/java/io/PrintStream.h
    trunk/libjava/java/io/PrintStream.java

Comment 2 Andrew John Hughes 2009-07-28 15:09:44 UTC
Fixed with above commit.